Misc. Functions(3)

NAME
Misc. Functions -

  Functions
double LIBNOVA_EXPORT ln_get_dec_location (char *s)
Obtains Latitude, Longitude, RA or Declination from a string.
const char LIBNOVA_EXPORT * ln_get_humanr_location (double location)
Obtains a human readable location in the form: ddºmm'ss.ss."
double LIBNOVA_EXPORT ln_interpolate3 (double n, double y1, double y2, double y3)
Calculate an intermediate value of the 3 arguments.
double LIBNOVA_EXPORT ln_interpolate5 (double n, double y1, double y2, double y3, double y4, double y5)
Calculate an intermediate value of the 5 arguments.

Detailed Description

Misc functions.

Function Documentation

  double ln_get_dec_location (char *s)

Obtains Latitude, Longitude, RA or Declination from a string.

Parameters:
    s Location string

Returns:
    angle in degrees

Obtains Latitude, Longitude, RA or Declination from a string.

If the last char is N/S doesn't accept more than 90 degrees. If it is E/W doesn't accept more than 180 degrees. If they are hours don't accept more than 24:00

Any position can be expressed as follows: (please use a 8 bits charset if you want to view the degrees separator char '0xba')

42.30.35,53 90º0'0,01 W 42º30'35.53 N 42º30'35.53S 42º30'N

•   42.30.35.53 42:30:35.53 S

•   42.30.35.53 +42º30 35,53 23h36'45,0

42:30:35.53 S = -42º30'35.53"

•   42 30.35.53 S the same previous position, the plus (+) sign is considered like an error, the last 'S' has precedence over the sign

90º0'0,01 N ERROR: +- 90º0'00.00" latitude limit

References ln_hms::minutes, and ln_hms::seconds.

  const char * ln_get_humanr_location (doublelocation)

Obtains a human readable location in the form: ddºmm'ss.ss".

Parameters:
    location Location angle in degress

Returns:
    Angle string

Obtains a human readable location in the form: ddºmm'ss.ss"

  double ln_interpolate3 (doublen, doubley1, doubley2, doubley3)

Calculate an intermediate value of the 3 arguments.

Returns:
    interpolation value

Parameters:
    n Interpolation factor
    y1 Argument 1
    y2 Argument 2
    y3 Argument 3

Calculate an intermediate value of the 3 arguments for the given interpolation factor.

Referenced by ln_get_body_rst_horizon().

  double ln_interpolate5 (doublen, doubley1, doubley2, doubley3, doubley4, doubley5)

Calculate an intermediate value of the 5 arguments.

Returns:
    interpolation value

Parameters:
    n Interpolation factor
    y1 Argument 1
    y2 Argument 2
    y3 Argument 3
    y4 Argument 4
    y5 Argument 5

Calculate an intermediate value of the 5 arguments for the given interpolation factor.

Author

Generated automatically by Doxygen for libnova from the source code.